%define upstream_name       Test-Manifest
%define upstream_version 2.025

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Interact with a t/test_manifest file
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::More) >= 1.0.0
BuildArch:  noarch

%description
Test::Harness assumes that you want to run all of the .t files in the
t/ directory in ascii-betical order during make test unless you say
otherwise.  This leads to some interesting naming schemes for test
files to get them in the desired order. This interesting names ossify
when they get into source control, and get even more interesting as
more tests show up.

Test::Manifest overrides the default behaviour by replacing the
test_via_harness target in the Makefile.  Instead of running at the
t/*.t files in ascii-betical order, it looks in the t/test_manifest
file to find out which tests you want to run and the order in which
you want to run them.  It constructs the right value for MakeMaker to
do the right thing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/Test
%{_mandir}/man3/*

%changelog
* Fri Jan 24 2025 tv <tv> 2.25.0-1.mga10
+ Revision: 2141962
- update to 2.025

* Tue Jan 09 2024 tv <tv> 2.24.0-1.mga10
+ Revision: 2029151
- update to 2.024

* Mon Mar 21 2022 umeabot <umeabot> 2.23.0-2.mga9
+ Revision: 1815934
- Mageia 9 Mass Rebuild

* Mon Jan 10 2022 tv <tv> 2.23.0-1.mga9
+ Revision: 1767721
- update to 2.023

* Thu Feb 25 2021 tv <tv> 2.22.0-1.mga9
+ Revision: 1690373
- update to 2.022

* Wed Feb 12 2020 umeabot <umeabot> 2.21.0-3.mga8
+ Revision: 1506417
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2.21.0-2.mga7
+ Revision: 1286672
- Mageia 7 Mass Rebuild

* Thu May 10 2018 shlomif <shlomif> 2.21.0-1.mga7
+ Revision: 1228164
- update to 2.021

* Sun Jun 19 2016 pterjan <pterjan> 2.20.0-5.mga6
+ Revision: 1034319
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.20.0-4.mga6
+ Revision: 946491
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.20.0-3.mga5
+ Revision: 745809
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.20.0-2.mga5
+ Revision: 686480
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 sander85 <sander85> 2.20.0-1.mga5
+ Revision: 668772
- update to 2.02

* Sun Aug 17 2014 sander85 <sander85> 2.10.0-1.mga5
+ Revision: 664739
- update to 2.01

* Fri Oct 18 2013 umeabot <umeabot> 1.230.0-3.mga4
+ Revision: 515239
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.230.0-2.mga3
+ Revision: 373594
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.230.0-1.mga1
+ Revision: 27121
- mageia rebuild
- imported package perl-Test-Manifest

